MINOVA DEMO - Support #2032

ERP Document Lock
02/28/2023 09:59 AM - Fiona Avangeline Jonathan

Status: Closed
Priority: Urgent

Category:

Target version:

Assignee: Fiona Avangeline Jonathan

Start date:
Due date:

% Done:

Estimated time:

Spent time:

02/28/2023
03/03/2023
0%

0.00 hour
11.00 hours

Description
Mang Wanto,

TransactionType DocType DocMo
® MNULL NULL MNULL
Ketentuan:

2. Document akan tercatat sebagai release ketika
- document sudah di save

- layar di close

- layar di refresh

- session expired

3. Date tercatat yyyymmdd

® ModuleType = trans type
¢ Moduleltem = doc type

Terima kasih.

Port: http://demo.minovais.com:61124/

Mohon dibantu buatkan fungsi untuk lock document ERP.
Tabel: PCMWFRUNINBOXLOCK

WIN-6PEHSTRPCM...bo.PFILOLOCKDOC > RUTINETS 30 WYL e W L B Py Y 2] 08 S

document akan ter-release ketika URL sudah berubah.

Date
NULL

4. Time tercatat jam, menit, detik (seperti create date namun tanggal dipisah)

Untuk mapping doc type dan trans type bisa refer ke tabel PCMEPMODULETYPE

WIN-6PEH5STRPCMH...SDATA

1. Document akan terlock ketika user klik tombol "edit" dan proses editing sedang berlangsung.

History

#1 - 02/28/2023 09:59 AM - Fiona Avangeline Jonathan

- Status changed from New to Assigned

#2 - 02/28/2023 02:21 PM - Kezia Pawitra Yulianti
- Due date set to 03/03/2023

#3 - 03/08/2023 12:05 PM - Fiona Avangeline Jonathan

List dokumen ERP yang mau di lock
- Sales Inquiry

- Sales Quotation

- Sales Order

- Purchase Requisition

- Request for Quotation

- Vendor Quotation

- Purchase Order

- BAST

- Goods Issue to Customer
- Material Production

- Consumption

- Goods Receipt

07/02/2025

1/2



http://demo.minovais.com:61124/

- Stock Transfer

- Production Template
- Production Plan

- Production Order

- Project Document

#4 - 03/20/2023 05:03 PM - Saswanto Tampan

- Assignee changed from Saswanto Tampan to M Azid Wahyudi

#5 - 03/29/2023 02:11 PM - Fiona Avangeline Jonathan

- Description updated

#6 - 03/29/2023 02:12 PM - Fiona Avangeline Jonathan
- Project changed from MINOVAES - PRODUCT to MINOVA DEMO

#7 - 03/29/2023 02:25 PM - Fiona Avangeline Jonathan

- Description updated

#8 - 03/29/2023 04:21 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan

dear fio , udah bisa di test yaa
package :
C:\MinovaES\WebServer\MinovaES_Demo\UNapp\controller\filo\document.js

i CEK DATANYA ADA YANG PAKAI APA ENGGA..!!
var status = MinovaUltil.LockData(RegID,MyObjectType,2,0,EmpLogin,MymenulD);

if(status != null && (status®.ObjectID !=null && status®.emp_lock = EmpLogin )){

MinovaMessageError("Warning", "DATAINUSE", " By "+ status®.EmployeeName " Employee ID " status®.emp_lock +");
}else{

Il REALEASE DOKUMEN YANG LAIN..!!
var release = MinovaUtil.LockData(ReglD,MyObjectType,3,0,EmpLogin,MymenulD,);
if(release != null){

Il LOCK DOKUMEN OPEN..!!
MinovaUltil.LockData(RegID,MyObjectType,0,0,EmpLogin,MymenulD);

panelHead.setHidden (false) ;
panelDisplayHead.setHidden (true) ;
btnSaveCreate.setDisabled (false);
btnCreate.setDisabled (false);
btnSave.setDisabled(false);
me.afterrenderTab () ;

}
note : permasalahan cache

makasih

#9 - 03/29/2023 04:26 PM - Fiona Avangeline Jonathan
- Status changed from QA Test to Closed

Done, terima kasih.
